# locimend

locimend is a tool that corrects DNA sequencing errors using Deep Learning.

## Technologies

- Tensorflow
- Biopython

## Installation

This project uses [Nix](https://nixos.org/) to ensure reproducible
builds.

1.  Install Nix (compatible with MacOS, Linux and
    [WSL](https://docs.microsoft.com/en-us/windows/wsl/about)):

```bash
curl -L https://nixos.org/nix/install | sh
```

2.  Clone the repository:

```bash
git clone https://git.coolneng.duckdns.org/coolneng/locimend
```

3.  Change the working directory to the project:

```bash
cd locimend
```

4.  Enter the nix-shell:

```bash
nix-shell
```

After running these commands, you will find yourself in a shell that
contains all the needed dependencies.
